Apache Tomcat 6.0.51

## org.apache.el.parser
Class JJTELParserState

    java.lang.Object
      org.apache.el.parser.JJTELParserState

    public class JJTELParserState

extends java.lang.Object

Constructor Summary
`JJTELParserState()`

Method Summary
`void` | `clearNodeScope(Node n)`
`void` | `closeNodeScope(Node n, boolean condition)`
`void` | `closeNodeScope(Node n, int num)`
`int` | `nodeArity()`
`boolean` | `nodeCreated()`
`void` | `openNodeScope(Node n)`
`Node` | `peekNode()`
`Node` | `popNode()`
`void` | `pushNode(Node n)`
`void` | `reset()`
`Node` | `rootNode()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JJTELParserState

    public JJTELParserState()

Method Detail

### nodeCreated

    public boolean nodeCreated()

### reset

    public void reset()

### rootNode

    public Node rootNode()

### pushNode

    public void pushNode(Node n)

### popNode

    public Node popNode()

### peekNode

    public Node peekNode()

### nodeArity

    public int nodeArity()

### clearNodeScope

    public void clearNodeScope(Node n)

### openNodeScope

    public void openNodeScope(Node n)

### closeNodeScope

    public void closeNodeScope(Node n,
                               int num)

### closeNodeScope

    public void closeNodeScope(Node n,
                               boolean condition)

Apache Tomcat 6.0.51

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.